Bug 182412 - SELinux breaks autofs /net
Summary: SELinux breaks autofs /net
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-22 13:32 UTC by Andrew Morton
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-10 13:25:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace -f $(pidof automount) (99.15 KB, text/plain)
2006-02-22 13:32 UTC, Andrew Morton
no flags Details

Description Andrew Morton 2006-02-22 13:32:30 UTC
Description of problem:

The NFS server has:

bix:/home/akpm> cat /etc/exports
/               *(rw,async)
/usr/src        *(rw,async)

Note that these are separate filesystems.

Doing a `cd /net/bix/usr/src' fails to automount bix:/usr/src,
Setting /selinux/enforce to zero fixes this problem.

This is a fully updated fc5t1 install.

I'll upload the output of `strace -f $(pidof automount).  Note this:

mkdir("/net/bix/usr", 0555)       = -1 EACCES (Permission denied)


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Andrew Morton 2006-02-22 13:32:31 UTC
Created attachment 125025 [details]
strace -f $(pidof automount)

Comment 2 Daniel Walsh 2006-03-08 22:03:03 UTC
Are you seeing any AVC messaes?

Fixes for this have been added to policy, does it work now?

selinux-policy-2.2.23-6

Comment 3 Andrew Morton 2006-03-10 04:50:51 UTC
Yup, selinux-policy-2.2.23-6 fixed that, thanks.  Close it.

It also seems to have fixed my "kdesu gets sigkilled" problem,
but I forget which bug number that was.


Note You need to log in before you can comment on or make changes to this bug.